<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzs.member.store.mapper.CuParentStoreMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.hzs.common.domain.member.store.CuParentStore">
        <id column="PK_ID" property="pkId" />
    <result column="CREATION_TIME" property="creationTime" />
    <result column="PK_CREATOR" property="pkCreator" />
        <result column="PK_PARENT" property="pkParent" />
        <result column="MEMBER_CODE" property="memberCode" />
        <result column="MEMBER_NAME" property="memberName" />
        <result column="SHORT_NAME" property="shortName" />
        <result column="PLACE_DEPT" property="placeDept" />
        <result column="STORE_NUMBER " property="storeNumber" />
        <result column="LEVEL_VALUE " property="levelValue" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        CREATION_TIME,
        PK_CREATOR,
        PK_ID, PK_MEMBER, MEMBER_CODE, MEMBER_NAME, SHORT_NAME, DEPT_STR,DEPT_STORE_STR
    </sql>
<!--     删除全部推荐店铺数据-->
    <delete id="delCuParentStore">
        delete  from CU_PARENT_STORE
    </delete>


</mapper>
